Subject: [Ltru] Re: Last Call Comment: draft-ietf-ltru-initial-02.txt

From: "Doug Ewell" <[email-masked]>
Date: Fri, 15 Jul 2005 00:19:42 -0700

Randy Presuhn <randy underscore presuhn at mindspring dot com> wrote:

> Here are some suggested replacement words:
>    The following code elements from [UN-M.49] were not associated
>    with [ISO3166-1] alpha-2 code elements.  Consequently, they were
>    not assigned as
>    subtags in the initial Language Subtag Registry, but are valid
>    candidates for registration as region subtags, using the process in
>    [I-D.ietf-ltru-registry]:

I support Randy's proposed wording as a response to Scott's concern.

--
Doug Ewell
Fullerton, California
http://users.adelphia.net/~dewell/

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Doug Ewell" <[email-masked]>
Date: Fri, 15 Jul 2005 00:24:04 -0700

Randy Presuhn <randy underscore presuhn at mindspring dot com> wrote:

> Jefsey (see below) writes "I make it a last call issue that such a
> backward "compatiblity" when non necessary is not to be introduced".
> In the context of this discussion, and of previous discussions on this
> list, the issue appears to be one of what is permitted by the ABNF.
> In particular, I believe the question is whether the WG wants the ABNF
> to permit the generation of tags which would not have been permitted
> by the ABNF in RFC 3066.

RFC 1766 said:

   The syntax of this tag in RFC-822 EBNF is:
    Language-Tag = Primary-tag *( "-" Subtag )
    Primary-tag = 1*8ALPHA
    Subtag = 1*8ALPHA

RFC 3066 said:

   The syntax of this tag in ABNF [RFC 2234] is:
    Language-Tag = Primary-subtag *( "-" Subtag )
    Primary-subtag = 1*8ALPHA
    Subtag = 1*8(ALPHA / DIGIT)

I support keeping this promise to users (and parser builders) that
subtags within language tags shall be no longer than 8 alphanumeric
characters, and shall be separated by dashes.

---

From: Martin Duerst <[email-masked]>
Date: Fri, 15 Jul 2005 18:20:32 +0900

Fine with me, too.       Martin.